| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.ICharacterStrategy Interface Reference
Inheritance diagram for JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.ICharacterStrategy:
[legend]

## Public Member Functions
void | ExecutePrintyPrint (JsonPPStrategyContext context)

## Properties
char | ForWhichCharacter`[get]`

## Member Function Documentation

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.ICharacterStrategy.ExecutePrintyPrint | ( | JsonPPStrategyContext | context | ) |

Implemented in JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.SkipWhileNotInStringStrategy, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.ColonCharacterStrategy, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenSquareBracketStrategy, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.DefaultCharacterStrategy, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseBracketStrategy, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseSquareBracketStrategy, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CommaStrategy, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.DoubleQuoteStrategy, and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.SingleQuoteStrategy.

## Property Documentation

char JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.ICharacterStrategy.ForWhichCharacter
| get

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.AddCharacterStrategy().

The documentation for this interface was generated from the following file:

- igbase/data/serialization/json/JsonPrettyPrinterInternals/ICharacterStrategy.cs